package com.diagbot.service;

import com.diagbot.entity.SwsVerInfo;

/**
 * @Description: 短信验证接口
 * @author: gaodm
 * @time: 2018/9/4 16:25
 */
public interface SmsVerService {
    /**
     * 发送短信信息
     */
    String smsSend(String mobile, String smsTemplateCode);

    /**
     * 创建用户短信验证信息
     */
    Boolean createSmsVerification(SwsVerInfo swsVerInfo);

    /**
     * 验证用户短信验证码是否有效
     */
    Boolean verifySmsVerification(SwsVerInfo swsVerInfo);

    /**
     * 获取用户短信验证码信息
     * @param mobile 用户电话
     * @return 用户短信验证信息
     */
    SwsVerInfo getSmsVerification(String mobile);

    /**
     * 删除用户短信验证码信息
     */
    Boolean deleteSmsVerification(String mobile);
}
